package thyyxxk.webserver.entity.outpatient.mangedoctorinfo;

import lombok.Data;
import thyyxxk.webserver.utils.StringUtil;

@Data
public class QueryParam {
    private String deptCode;
    private String doctorName;
    private Boolean includeDeleted;
    private Integer currentPage;
    private Integer pageSize;

    public String getDeptCode() {
        return StringUtil.isBlank(deptCode) ? "%%" : (deptCode).trim() + "%";
    }

    public String getDoctorName() {
        return StringUtil.isBlank(doctorName) ? "%%" : (doctorName).trim() + "%";
    }

    public Boolean getIncludeDeleted() {
        return null != includeDeleted && includeDeleted;
    }
}
